org.wildfly.swarm.config.batch.jberet

## Class ThreadFactory<T extends ThreadFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.batch.jberet.ThreadFactory<T>

-     public class ThreadFactory<T extends ThreadFactory<T>>
      extends Object

  A thread factory (implementing java.util.concurrent.ThreadFactory).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `groupName()` Specifies the name of a thread group to create for this thread factory.
    `T` | `groupName(String value)` Specifies the name of a thread group to create for this thread factory.
    `String` | `name()` The name of the created thread factory.
    `T` | `name(String value)` The name of the created thread factory.
    `Integer` | `priority()` May be used to specify the thread priority of created threads.
    `T` | `priority(Integer value)` May be used to specify the thread priority of created threads.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `threadNamePattern()` The template used to create names for threads.
    `T` | `threadNamePattern(String value)` The template used to create names for threads.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadFactory

          public ThreadFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### groupName

          public String groupName()

      Specifies the name of a thread group to create for this thread factory.

    - #### groupName

          public T groupName(String value)

      Specifies the name of a thread group to create for this thread factory.

    - #### name

          public String name()

      The name of the created thread factory.

    - #### name

          public T name(String value)

      The name of the created thread factory.

    - #### priority

          public Integer priority()

      May be used to specify the thread priority of created threads.

    - #### priority

          public T priority(Integer value)

      May be used to specify the thread priority of created threads.

    - #### threadNamePattern

          public String threadNamePattern()

      The template used to create names for threads. The following patterns may be used: %% - emit a percent sign %t - emit the per-factory thread sequence number %g - emit the global thread sequence number %f - emit the factory sequence number %i - emit the thread ID.

    - #### threadNamePattern

          public T threadNamePattern(String value)

      The template used to create names for threads. The following patterns may be used: %% - emit a percent sign %t - emit the per-factory thread sequence number %g - emit the global thread sequence number %f - emit the factory sequence number %i - emit the thread ID.

Copyright © 2018 JBoss by Red Hat. All rights reserved.